Subject: Re: linux-next: manual merge of the set_fs tree with the powerpc tree

From: Stephen Rothwell <[email-masked]>
Date: Sun, 9 Aug 2020 18:57:26 +1000

Hi all,

On Fri, 17 Jul 2020 19:09:31 +1000 Stephen Rothwell <[email-masked]> wrote:
> 
> Today's linux-next merge of the set_fs tree got a conflict in:
> 
>   arch/powerpc/mm/numa.c
> 
> between commit:
> 
>   c30f931e891e ("powerpc/numa: remove ability to enable topology updates")
> 
> from the powerpc tree and commit:
> 
>   16a04bde8169 ("proc: switch over direct seq_read method calls to seq_read_iter")
> 
> from the set_fs tree.
> 
> I fixed it up (the former removed the code updated by the latter, so I
> just did that) and can carry the fix as necessary. This is now fixed as
> far as linux-next is concerned, but any non trivial conflicts should be
> mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.

This is now a conflict between the set_fs tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell